Search for Appointment objects matching the supplied search criteria
GET/v1/appointments/search
Search for Appointment objects matching the supplied search criteria.
-
- Search by field: /search?title=This is a title&start=2013-06-22T13:00:00.000
-
- Search by related object: /search?branch=4. This of course only applies to objects having a direct relationship with a Branch. For example, an Appointment have direct relationships with Branch and Resource.
-
- Pagination: ?limit=10&offset=1 (return items 10-19
-
- Time (start and end) should be set in UTC, but will be returned in the given time zone
-
- Internet Explorer cache break: Due to problems with Internet Explorer caching REST requests, a 'nocache' parameter can also be added with a random number as value, e.g: ?nocache=43242356345234
Example of usage :
curl -i -u user:password -X GET "http://orchestra-ip:orchestra-port/calendar-backend/api/v1/appointments/search?branch={branchId}&timeZoneBranchId={timeZoneBranchId}&start=YYYY-MM-DDTHH:MM&end=YYYY-MM-DDTHH:MM"
Responses
- 200
A Json list of com.qmatic.qp.calendar.rest.dto.AppointmentDTO